package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFR55 extends MwfRequest<MWFR55, MWFR55Response> {

    @Parameter(name = "DatumPodpisuZadosti")
    MWFR55 datumPodpisuZadosti(java.util.Date datumPodpisuZadosti);
    @Parameter(name = "FunkceUrednika")
    MWFR55 funkceUrednika(String funkceUrednika);
    @Parameter(name = "ObchodniMistoKod")
    MWFR55 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "UrednikID")
    MWFR55 urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWFR55 urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWFR55 urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikSSO")
    MWFR55 urednikSSO(String urednikSSO);
    @Parameter(name = "Zadost_KEY")
    MWFR55 zadostKEY(Long zadostKEY);
}
